/***********************************************************************
**                                                                    **
**  listing_8_14.c                                                    **
**                                                                    **
**  "Press Here". An example of pushbutton callbacks.                 **
**                                                                    **
***********************************************************************/


#include <Xm/PushB.h>


void    ButtonCB();			/* FORWARD Definition	      */


Widget	appshell,			/* Application Shell	      */
	the_btn;			/* The one and only label     */


void main( argc, argv )
    int     argc;
    char    *argv[];
{
    appshell = XtInitialize( argv[0], "Listing_8_14", NULL, 0, &argc, argv );

    the_btn = XmCreatePushButton( appshell, "TheBtn", NULL, 0 );
    XtManageChild( the_btn );

    XtAddCallback( the_btn, XmNarmCallback, ButtonCB, NULL );
    XtAddCallback( the_btn, XmNdisarmCallback, ButtonCB, NULL );
    XtAddCallback( the_btn, XmNactivateCallback, ButtonCB, NULL );

    XtRealizeWidget( appshell );
    XtMainLoop();
}



void ButtonCB( w, client_data, call_data )
    Widget  		w;
    caddr_t 		client_data;
    XmAnyCallbackStruct *call_data;
{
    printf( "\nCallback Reason = %d ", call_data->reason );
    switch (call_data->reason)
        {
        case XmCR_ARM :
	    printf( "(Arm)\n" );
	    break;
        case XmCR_DISARM :
	    printf( "(Disarm)\n" );
	    break;
        case XmCR_ACTIVATE :
	    printf( "(Activate)\n" );
	    break;
	}
    printf( "Event Type      = %d\n", call_data->event->type );
}
